XmVaCreateTextField(library call)

NAME
XmVaCreateTextField, XmVaCreateManagedTextField — A TextField widget convenience creation functions.

SYNOPSIS

#include <Xm/TextF.h>

Widget XmVaCreateTextField(
Widget parent,
String name,
...);

Widget XmVaCreateManagedTextField(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateTextField function is a convenience routine that calls XtCreateWidget.

The XmVaCreateTextField function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of TextField and its associated resources, see XmTextField(3).

RETURN

Returns the TextField widget ID.

RELATED

XmTextField(3), XmCreateTextField(3), XtCreateWidget(3), and XtCreateManagedWidget(3).